using System;
using System.Collections.Generic;
using System.Text;
using Mall.Common.Plugin;

namespace Mall.Common.Enum.Point
{
    /// <summary>
    /// 用户导出选项枚举
    /// </summary>
    public enum EduUserExportEnum
    {
        /// <summary>
        /// 所属平台
        /// </summary>
        [EnumField("所属平台")]
        SSPT = 1,
        /// <summary>
        /// 用户ID
        /// </summary>
        [EnumField("用户ID")]
        YHID = 2,
        /// <summary>
        /// 平台标识ID
        /// </summary>
        [EnumField("平台标识ID")]
        PTBSID = 3,
        /// <summary>
        /// 昵称
        /// </summary>
        [EnumField("昵称")]
        NC = 4,
        /// <summary>
        /// 绑定手机号
        /// </summary>
        [EnumField("绑定手机号")]
        BDSJH = 5,
        /// <summary>
        /// 联系方式
        /// </summary>
        [EnumField("联系方式")]
        LXFS = 6,
        /// <summary>
        /// 备注
        /// </summary>
        [EnumField("备注")]
        BZ = 7,
        /// <summary>
        /// 加入时间
        /// </summary>
        [EnumField("加入时间")]
        JRSJ = 8,
        /// <summary>
        /// 会员等级
        /// </summary>
        [EnumField("会员等级")]
        HYDJ = 9,
        /// <summary>
        /// 订单数
        /// </summary>
        [EnumField("订单数")]
        DDS = 10,
        /// <summary>
        /// 优惠卷总数
        /// </summary>
        [EnumField("优惠卷总数")]
        YHJZS = 11,
        /// <summary>
        /// 卡卷总数
        /// </summary>
        [EnumField("卡卷总数")]
        KJZS = 12,
        /// <summary>
        /// 积分
        /// </summary>
        [EnumField("积分")]
        JF = 13,
        /// <summary>
        /// 余额
        /// </summary>
        [EnumField("余额")]
        YE = 14,
        /// <summary>
        /// 总消费
        /// </summary>
        [EnumField("总消费")]
        ZXF = 15,
        /// <summary>
        /// 点数
        /// </summary>
        [EnumField("点数")]
        DS = 16,
        /// <summary>
        /// 学员信息
        /// </summary>
        [EnumField("学员信息")]
        Stu = 17
    }
}
